<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="TicketVenta" pageWidth="206" pageHeight="450" columnWidth="206" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" isIgnorePagination="true">
	<property name="ireport.zoom" value="3.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="37"/>
	<style name="table">
		<box>
			<pen lineWidth="1.0" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_TH" mode="Opaque" backcolor="#F0F8FF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_CH" mode="Opaque" backcolor="#BFE1FF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<subDataset name="ArticulosDataset">
		<queryString language="xPath">
			<![CDATA[]]>
		</queryString>
		<field name="nombre" class="java.lang.String">
			<fieldDescription><![CDATA[nombre]]></fieldDescription>
		</field>
		<field name="importe" class="java.lang.String">
			<fieldDescription><![CDATA[importe]]></fieldDescription>
		</field>
		<field name="precio" class="java.lang.String">
			<fieldDescription><![CDATA[precio]]></fieldDescription>
		</field>
		<field name="cantidad" class="java.lang.String">
			<fieldDescription><![CDATA[cantidad]]></fieldDescription>
		</field>
		<field name="descuento" class="java.lang.String"/>
	</subDataset>
	<subDataset name="PagosDataset">
		<queryString>
			<![CDATA[]]>
		</queryString>
		<field name="descripcionTipoPago" class="java.lang.String">
			<fieldDescription><![CDATA[descripcionTipoPago]]></fieldDescription>
		</field>
		<field name="montoPago" class="java.lang.String">
			<fieldDescription><![CDATA[montoPago]]></fieldDescription>
		</field>
	</subDataset>
	<parameter name="rutaImagenes" class="java.lang.String">
		<defaultValueExpression><![CDATA["C:\\Users\\dserrano\\Documents\\ImpresionTickets\\ArchivosJasper\\imagenes\\"]]></defaultValueExpression>
	</parameter>
	<parameter name="pequenoDescripcionTotal" class="java.lang.Boolean"/>
	<parameter name="IdConciliacion" class="java.lang.String"/>
	<queryString>
		<![CDATA[]]>
	</queryString>
	<field name="articulos" class="java.lang.Object[]">
		<fieldDescription><![CDATA[articulos]]></fieldDescription>
	</field>
	<field name="caja" class="java.lang.String">
		<fieldDescription><![CDATA[caja]]></fieldDescription>
	</field>
	<field name="cajero" class="java.lang.String">
		<fieldDescription><![CDATA[cajero]]></fieldDescription>
	</field>
	<field name="calleNumeroTienda" class="java.lang.String">
		<fieldDescription><![CDATA[calleNumeroTienda]]></fieldDescription>
	</field>
	<field name="coloniaTienda" class="java.lang.String">
		<fieldDescription><![CDATA[coloniaTienda]]></fieldDescription>
	</field>
	<field name="fecha" class="java.lang.String">
		<fieldDescription><![CDATA[fecha]]></fieldDescription>
	</field>
	<field name="folio" class="java.lang.String">
		<fieldDescription><![CDATA[folio]]></fieldDescription>
	</field>
	<field name="hora" class="java.lang.String">
		<fieldDescription><![CDATA[hora]]></fieldDescription>
	</field>
	<field name="nombreTienda" class="java.lang.String">
		<fieldDescription><![CDATA[nombreTienda]]></fieldDescription>
	</field>
	<field name="tiendaId" class="java.lang.String">
		<fieldDescription><![CDATA[tiendaId]]></fieldDescription>
	</field>
	<field name="tiposPago" class="java.lang.Object[]">
		<fieldDescription><![CDATA[tiposPago]]></fieldDescription>
	</field>
	<field name="totalArticulos" class="java.lang.String">
		<fieldDescription><![CDATA[totalArticulos]]></fieldDescription>
	</field>
	<field name="ivaTotal" class="java.lang.String">
		<fieldDescription><![CDATA[ivaTotal]]></fieldDescription>
	</field>
	<field name="totalLetras" class="java.lang.String">
		<fieldDescription><![CDATA[totalLetras]]></fieldDescription>
	</field>
	<field name="transaccion" class="java.lang.String">
		<fieldDescription><![CDATA[transaccion]]></fieldDescription>
	</field>
	<field name="delegacionCiudadEstadoCP" class="java.lang.String">
		<fieldDescription><![CDATA[delegacionCiudadEstadoCP]]></fieldDescription>
	</field>
	<field name="encabezado" class="java.lang.String"/>
	<title>
		<band height="41" splitType="Stretch">
			<image scaleImage="FillFrame">
				<reportElement x="1" y="0" width="85" height="33"/>
				<imageExpression><![CDATA[$P{rutaImagenes}+"logoNeto.png"]]></imageExpression>
			</image>
			<textField>
				<reportElement x="88" y="0" width="121" height="40"/>
				<textElement>
					<font fontName="Arial" size="6" isBold="true"/>
					<paragraph lineSpacing="Proportional" lineSpacingSize="1.1"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{encabezado}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band height="48" splitType="Stretch">
			<frame>
				<reportElement x="0" y="0" width="201" height="48"/>
				<rectangle>
					<reportElement x="6" y="0" width="195" height="45"/>
				</rectangle>
				<staticText>
					<reportElement x="9" y="1" width="59" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<text><![CDATA[EXPEDIDO EN:]]></text>
				</staticText>
				<textField>
					<reportElement x="9" y="8" width="23" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{tiendaId}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement x="115" y="0" width="1" height="45"/>
				</line>
				<staticText>
					<reportElement x="118" y="2" width="23" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<text><![CDATA[Cajero:]]></text>
				</staticText>
				<staticText>
					<reportElement x="120" y="9" width="21" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<text><![CDATA[Caja:]]></text>
				</staticText>
				<staticText>
					<reportElement x="120" y="16" width="21" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<text><![CDATA[Folio:]]></text>
				</staticText>
				<staticText>
					<reportElement x="120" y="30" width="21" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<text><![CDATA[Fecha:]]></text>
				</staticText>
				<staticText>
					<reportElement x="120" y="37" width="21" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<text><![CDATA[Hora:]]></text>
				</staticText>
				<staticText>
					<reportElement x="118" y="23" width="30" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<text><![CDATA[Conciliación:]]></text>
				</staticText>
				<textField>
					<reportElement x="143" y="9" width="57" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{caja}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="143" y="2" width="57" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{cajero}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="143" y="30" width="57" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{fecha}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="143" y="16" width="57" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{folio}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="143" y="37" width="57" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{hora}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="31" y="8" width="84" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{nombreTienda}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="8" y="15" width="107" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{calleNumeroTienda}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="8" y="22" width="107" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{coloniaTienda}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true">
					<reportElement x="8" y="29" width="107" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{delegacionCiudadEstadoCP}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="150" y="23" width="50" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$P{IdConciliacion}]]></textFieldExpression>
				</textField>
			</frame>
		</band>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="100">
			<rectangle>
				<reportElement x="0" y="4" width="200" height="6"/>
				<graphicElement>
					<pen lineWidth="0.0"/>
				</graphicElement>
			</rectangle>
			<frame>
				<reportElement x="2" y="4" width="200" height="90"/>
				<componentElement>
					<reportElement key="table" positionType="Float" x="1" y="2" width="194" height="30"/>
					<jr:table xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd">
						<datasetRun subDataset="ArticulosDataset">
							<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.JRBeanArrayDataSource($F{articulos})]]></dataSourceExpression>
						</datasetRun>
						<jr:column width="20">
							<jr:columnHeader height="7" rowSpan="1">
								<box topPadding="0" leftPadding="0" bottomPadding="0" rightPadding="0">
									<topPen lineWidth="0.0"/>
									<leftPen lineWidth="0.0"/>
								</box>
								<staticText>
									<reportElement x="2" y="0" width="18" height="7"/>
									<textElement>
										<font fontName="Arial" size="5"/>
									</textElement>
									<text><![CDATA[Cant.]]></text>
								</staticText>
							</jr:columnHeader>
							<jr:detailCell height="8" rowSpan="1">
								<box>
									<pen lineWidth="0.0"/>
									<topPen lineWidth="0.0"/>
									<leftPen lineWidth="0.0"/>
									<bottomPen lineWidth="0.0"/>
									<rightPen lineWidth="0.0"/>
								</box>
								<textField>
									<reportElement x="0" y="0" width="20" height="7"/>
									<textElement textAlignment="Center" verticalAlignment="Top">
										<font fontName="Arial" size="5"/>
									</textElement>
									<textFieldExpression><![CDATA[$F{cantidad}]]></textFieldExpression>
								</textField>
							</jr:detailCell>
						</jr:column>
						<jr:column width="98">
							<jr:columnHeader height="7" rowSpan="1">
								<box topPadding="0" leftPadding="0" bottomPadding="0" rightPadding="0">
									<topPen lineWidth="0.0"/>
								</box>
								<staticText>
									<reportElement x="22" y="0" width="45" height="7"/>
									<textElement>
										<font fontName="Arial" size="5"/>
									</textElement>
									<text><![CDATA[Descripción]]></text>
								</staticText>
							</jr:columnHeader>
							<jr:detailCell height="8" rowSpan="1">
								<textField isStretchWithOverflow="true">
									<reportElement x="1" y="0" width="95" height="7"/>
									<textElement textAlignment="Left" verticalAlignment="Top">
										<font fontName="Arial" size="5"/>
									</textElement>
									<textFieldExpression><![CDATA[$F{nombre}]]></textFieldExpression>
								</textField>
							</jr:detailCell>
						</jr:column>
						<jr:column width="20">
							<jr:columnHeader height="7" rowSpan="1">
								<box topPadding="0" leftPadding="0" bottomPadding="0" rightPadding="0">
									<topPen lineWidth="0.0"/>
								</box>
								<staticText>
									<reportElement x="0" y="0" width="20" height="7"/>
									<textElement>
										<font fontName="Arial" size="5"/>
									</textElement>
									<text><![CDATA[Precio]]></text>
								</staticText>
							</jr:columnHeader>
							<jr:detailCell height="8" rowSpan="1">
								<textField>
									<reportElement x="0" y="0" width="20" height="7"/>
									<textElement textAlignment="Right" verticalAlignment="Top">
										<font fontName="Arial" size="5"/>
									</textElement>
									<textFieldExpression><![CDATA[$F{precio}]]></textFieldExpression>
								</textField>
							</jr:detailCell>
						</jr:column>
						<jr:column width="24">
							<jr:columnHeader height="7" rowSpan="1">
								<box topPadding="0" leftPadding="0" bottomPadding="0" rightPadding="0">
									<topPen lineWidth="0.0"/>
									<rightPen lineWidth="0.0"/>
								</box>
								<staticText>
									<reportElement x="0" y="0" width="24" height="7"/>
									<textElement>
										<font fontName="Arial" size="5"/>
									</textElement>
									<text><![CDATA[Descto.]]></text>
								</staticText>
							</jr:columnHeader>
							<jr:detailCell height="8" rowSpan="1">
								<box>
									<rightPen lineWidth="0.0"/>
								</box>
								<textField>
									<reportElement x="0" y="0" width="24" height="7"/>
									<textElement textAlignment="Right" verticalAlignment="Top">
										<font fontName="Arial" size="5"/>
									</textElement>
									<textFieldExpression><![CDATA[$F{descuento}]]></textFieldExpression>
								</textField>
							</jr:detailCell>
						</jr:column>
						<jr:column width="34">
							<jr:columnHeader height="7" rowSpan="1">
								<staticText>
									<reportElement x="0" y="0" width="34" height="7"/>
									<textElement textAlignment="Center">
										<font fontName="Arial" size="5"/>
									</textElement>
									<text><![CDATA[Importe]]></text>
								</staticText>
							</jr:columnHeader>
							<jr:detailCell height="8" rowSpan="1">
								<textField>
									<reportElement x="0" y="0" width="34" height="7"/>
									<textElement textAlignment="Right" verticalAlignment="Top">
										<font fontName="Arial" size="5"/>
									</textElement>
									<textFieldExpression><![CDATA[$F{importe}]]></textFieldExpression>
								</textField>
							</jr:detailCell>
						</jr:column>
					</jr:table>
				</componentElement>
				<componentElement>
					<reportElement key="table 1" positionType="Float" isPrintRepeatedValues="false" x="1" y="32" width="195" height="9"/>
					<jr:table xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd">
						<datasetRun subDataset="PagosDataset">
							<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.JRBeanArrayDataSource($F{tiposPago})]]></dataSourceExpression>
						</datasetRun>
						<jr:column width="133">
							<jr:detailCell height="7" rowSpan="1">
								<textField>
									<reportElement x="18" y="0" width="113" height="7"/>
									<textElement textAlignment="Right">
										<font fontName="Arial" size="5"/>
									</textElement>
									<textFieldExpression><![CDATA[$F{descripcionTipoPago}]]></textFieldExpression>
								</textField>
							</jr:detailCell>
						</jr:column>
						<jr:column width="62">
							<jr:detailCell height="7" rowSpan="1">
								<textField>
									<reportElement x="1" y="0" width="60" height="7"/>
									<textElement textAlignment="Right">
										<font fontName="Arial" size="5"/>
									</textElement>
									<textFieldExpression><![CDATA[$F{montoPago}]]></textFieldExpression>
								</textField>
							</jr:detailCell>
						</jr:column>
					</jr:table>
				</componentElement>
				<rectangle>
					<reportElement positionType="Float" x="1" y="45" width="195" height="12"/>
					<graphicElement>
						<pen lineWidth="0.5"/>
					</graphicElement>
				</rectangle>
				<rectangle>
					<reportElement positionType="Float" x="1" y="53" width="195" height="7"/>
					<graphicElement>
						<pen lineWidth="0.5"/>
					</graphicElement>
				</rectangle>
				<textField isStretchWithOverflow="true">
					<reportElement positionType="Float" x="11" y="46" width="175" height="7">
						<printWhenExpression><![CDATA[$P{pequenoDescripcionTotal}==false]]></printWhenExpression>
					</reportElement>
					<textElement textAlignment="Center">
						<font fontName="Arial" size="6" isItalic="false"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{totalLetras}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement positionType="Float" x="117" y="53" width="1" height="7"/>
					<graphicElement>
						<pen lineWidth="0.5"/>
					</graphicElement>
				</line>
				<staticText>
					<reportElement positionType="Float" x="3" y="53" width="60" height="7"/>
					<textElement textAlignment="Left">
						<font fontName="Arial" size="5"/>
					</textElement>
					<text><![CDATA[Total de Artículos:]]></text>
				</staticText>
				<textField>
					<reportElement positionType="Float" x="66" y="53" width="41" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{totalArticulos}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement positionType="Float" x="134" y="53" width="25" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<text><![CDATA[IVA]]></text>
				</staticText>
				<textField>
					<reportElement positionType="Float" x="156" y="53" width="32" height="7"/>
					<textElement>
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{ivaTotal}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true">
					<reportElement positionType="Float" x="14" y="46" width="174" height="7">
						<printWhenExpression><![CDATA[$P{pequenoDescripcionTotal}==true]]></printWhenExpression>
					</reportElement>
					<textElement textAlignment="Center">
						<font fontName="Arial" size="5"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{totalLetras}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement positionType="Float" x="1" y="62" width="196" height="7"/>
					<textElement textAlignment="Center">
						<font fontName="Arial" size="6"/>
					</textElement>
					<text><![CDATA[Para refacturar su comprobante fiscal ingrese a]]></text>
				</staticText>
				<staticText>
					<reportElement positionType="Float" x="81" y="76" width="114" height="7"/>
					<textElement>
						<font fontName="Arial" size="6"/>
					</textElement>
					<text><![CDATA[(dentro de los 30 días naturales).]]></text>
				</staticText>
				<staticText>
					<reportElement positionType="Float" x="6" y="69" width="106" height="7"/>
					<textElement textAlignment="Right">
						<font fontName="Arial" size="6" isBold="true"/>
					</textElement>
					<text><![CDATA[http://www.tiendasneto.com]]></text>
				</staticText>
				<staticText>
					<reportElement positionType="Float" x="115" y="69" width="82" height="7"/>
					<textElement>
						<font fontName="Arial" size="6" isBold="false"/>
					</textElement>
					<text><![CDATA[seleccione la opción]]></text>
				</staticText>
				<staticText>
					<reportElement positionType="Float" x="8" y="76" width="70" height="7"/>
					<textElement textAlignment="Right">
						<font fontName="Arial" size="6" isBold="true"/>
					</textElement>
					<text><![CDATA[FACTURACIÓN ]]></text>
				</staticText>
			</frame>
		</band>
	</detail>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
